Name: bug-buddy
Version: 2.6.0
Release: alt1

Summary: Utility to ease the reporting of bugs within the GNOME Desktop Environment
Group: Graphical desktop/GNOME
License: GPL
URL: http://www.gnome.org/softwaremap/projects/bug-buddy/

Source: ftp://ftp.gnome.org/pub/GNOME/sources/stable/%name/%name-%version.tar.bz2
Source1: bug-buddy-48.png
Source2: bug-buddy-32.png
Source3: bug-buddy-16.png

%define req_gtk_ver 2.3.6
%define req_intltool_ver 0.30
%define req_libgnomeui_ver 2.5.92
%define req_libxml_ver 2.4.6

PreReq: GConf2
PreReq: scrollkeeper >= 0.3.8
Requires: gdb
Requires: libgtk+2 >= %req_gtk_ver
Requires: libgnomeui >= %req_libgnomeui_ver
Requires: libxml2 >= %req_libxml_ver

BuildRequires: menu-devel
BuildRequires: intltool >= %req_intltool_ver
BuildRequires: libgtk+2-devel >= %req_gtk_ver
BuildRequires: libgnomeui-devel >= %req_libgnomeui_ver
BuildRequires: libxml2-devel >= %req_libxml_ver

# Automatically added by buildreq on Sat Apr 10 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs common-licenses esound fontconfig freetype2 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-desktop-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstartup-notification-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper zlib-devel

%description
bug-buddy is a druid based tool which steps you through the GNOME bug
submition process.  It can automatically obtain stack traces from core
files or crashed applications.  Debian and KDE bug tracking systems are
also supported.

%prep
%setup -q
%__rm COPYING
%__ln_s %_licensedir/GPL-2 COPYING

%build
%configure --disable-schemas-install

%make_build

%install
%makeinstall

%__mkdir -p $RPM_BUILD_ROOT%_menudir
freedesktop2menu.pl %name "Applications/Communications" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name "gnome"

%__rm -rf $RPM_BUILD_ROOT%_localstatedir/scrollkeeper

%find_lang %name --with-gnome

%post
%gconf2_install %name
%update_menus
%update_scrollkeeper

%postun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO COPYING.*
%doc --no-dereference COPYING
%_bindir/*
%_datadir/application-registry/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_datadir/bug-buddy
%_datadir/mime-info/*
%_menudir/*
%_man1dir/*
%config %_sysconfdir/gconf/schemas/*

%changelog
* Sat Apr 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt1
- Updated to 2.6.0
- Generate system menus from Gnome .desktop files

* Sat Mar 22 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.103-alt1
- new version

* Wed Oct 23 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2.0-alt1
- new version
- cleanup spec

* Tue Aug 17 2001 AEN <aen@logic.ru> 2.0.8-alt1
- new version
* Mon May 28 2001 AEN <aen@logic.ru> 2.0.1-alt1
- new version
- requires gdb

* Tue Feb 27 2001 AEN <aen@logic.ru> 1.90-ipl1mdk
- 1.90
* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE adaptations

* Sun Nov 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-1mdk
- new and shiny source.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1-1mdk
- new version 1.1

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0-4mdk
- fixed langs
- further macroszification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0-2mdk
- macrozification

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- release 1.0
- remove docdir define (for BM)
- update menu macros
- embed menu file in spec (but don't add it, see 0.7-4mdk)
- modify icons to be transparent

* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-2mdk
- 32*32 icon
- remove hardcoded path to icons .

* Tue May 02 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-1mdk
- release 0.9
- fix bug (seg fault when the about button is pressed)

* Thu Apr 20 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8-1mdk
- release  0.8
- force path to help file

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.7-5mdk
- fix % post

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-4mdk
- add icon.
- build from helix.
- remove Mandrake entry (possible conflicts with our future bugzilla database
  system)

* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-3mdk
- really add  the menu entry (forgot to remove some stuffs)
- this come from Helix distro.

* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-2mdk
- add a Mandrake entry to report bug easily and directly to bug@mandrakesoft.com
- add menu entry.

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-1mdk
- first build for Mandrake.

